clan::Vec3hf Class Reference - ClanLib SDK
Description: clan::Vec3hf Class Reference

Public Member Functions | Public Attributes | List of all members
clan::Vec3hf Class Reference
clanCore Math

3D half-float vector More...

`#include <half_float_vector.h>`

## Public Member Functions
| Vec3hf ()
| Vec3hf (const float *array_xyz)
| Vec3hf (const HalfFloat &p1, const HalfFloat &p2, const HalfFloat &p3)
| Vec3hf (const HalfFloat &scalar)
| Vec3hf (const HalfFloat *array_xyz)
| Vec3hf (const Vec2f &copy, float p3)
| Vec3hf (const Vec2hf &copy, const HalfFloat &p3)
| Vec3hf (const Vec3d &copy)
| Vec3hf (const Vec3f &copy)
| Vec3hf (const Vec3hf &copy)
| Vec3hf (const Vec3i &copy)
| Vec3hf (const Vec4f &copy)
| Vec3hf (const Vec4hf &copy)
| Vec3hf (float p1, float p2, float p3)
| Vec3hf (float scalar)
| operator Vec3f () const
Vec3f | to_float () const

## Public Attributes
HalfFloat | x
HalfFloat | y
HalfFloat | z

## Detailed Description

3D half-float vector

## Constructor & Destructor Documentation

## ◆ Vec3hf() [1/14]

clan::Vec3hf::Vec3hf | ( |  | ) |
| inline

References x, y, and z.

Referenced by Vec3hf().

## ◆ Vec3hf() [2/14]

clan::Vec3hf::Vec3hf | ( | const HalfFloat & | scalar | ) |
| inlineexplicit

References x, y, and z.

## ◆ Vec3hf() [3/14]

clan::Vec3hf::Vec3hf | ( | const Vec2hf & | copy,
|  | const HalfFloat & | p3 )
| inlineexplicit

References x, y, and z.

## ◆ Vec3hf() [4/14]

clan::Vec3hf::Vec3hf | ( | const HalfFloat & | p1,
|  | const HalfFloat & | p2,
|  | const HalfFloat & | p3 )
| inlineexplicit

References x, y, and z.

## ◆ Vec3hf() [5/14]

clan::Vec3hf::Vec3hf | ( | const HalfFloat * | array_xyz | ) |
| inlineexplicit

References x, y, and z.

## ◆ Vec3hf() [6/14]

clan::Vec3hf::Vec3hf | ( | float | scalar | ) |
| inlineexplicit

References x, y, and z.

## ◆ Vec3hf() [7/14]

clan::Vec3hf::Vec3hf | ( | const Vec2f & | copy,
|  | float | p3 )
| inlineexplicit

References x, y, and z.

## ◆ Vec3hf() [8/14]

clan::Vec3hf::Vec3hf | ( | const Vec4f & | copy | ) |
| inlineexplicit

References x, y, and z.

## ◆ Vec3hf() [9/14]

clan::Vec3hf::Vec3hf | ( | float | p1,
|  | float | p2,
|  | float | p3 )
| inlineexplicit

References x, y, and z.

## ◆ Vec3hf() [10/14]

clan::Vec3hf::Vec3hf | ( | const float * | array_xyz | ) |
| inlineexplicit

References x, y, and z.

## ◆ Vec3hf() [11/14]

clan::Vec3hf::Vec3hf | ( | const Vec3hf & | copy | ) |
| inline

References Vec3hf(), x, y, and z.

## ◆ Vec3hf() [12/14]

clan::Vec3hf::Vec3hf | ( | const Vec3d & | copy | ) |
| inline

References x, y, and z.

## ◆ Vec3hf() [13/14]

clan::Vec3hf::Vec3hf | ( | const Vec3f & | copy | ) |
| inline

References x, y, and z.

## ◆ Vec3hf() [14/14]

clan::Vec3hf::Vec3hf | ( | const Vec3i & | copy | ) |
| inline

References x, y, and z.

## Member Function Documentation

## ◆ operator Vec3f()

clan::Vec3hf::operator Vec3f | ( |  | ) | const
| inline

References to_float().

## ◆ to_float()

Vec3f clan::Vec3hf::to_float | ( |  | ) | const
| inline

References x, y, and z.

Referenced by operator Vec3f().

## Member Data Documentation

## ◆ x

HalfFloat clan::Vec3hf::x

Referenced by Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), and to_float().

## ◆ y

HalfFloat clan::Vec3hf::y

Referenced by Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), and to_float().

## ◆ z

HalfFloat clan::Vec3hf::z

Referenced by Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), Vec3hf(), and to_float().

The documentation for this class was generated from the following file:

- half_float_vector.h